"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const ava_1 = require("ava");
const fs = require("fs");
const path = require("path");
const module_1 = require("../src/module");
ava_1.default('simple buffers correctly calculate mismatch', (t) => __awaiter(this, void 0, void 0, function* () {
    const firstImage = Buffer.from([69, 69, 69, 69]);
    const secondImage = Buffer.from([42, 42, 42, 42]);
    const result = yield module_1.isMatch(firstImage, secondImage, { tolerancePercent: 0 });
    t.is(result.didMatch, false);
}));
ava_1.default('different images return mismatch', (t) => __awaiter(this, void 0, void 0, function* () {
    const firstImage = fs.readFileSync(path.join(__dirname, 'image_a.jpg'));
    const secondImage = fs.readFileSync(path.join(__dirname, 'image_b.jpg'));
    const result = yield module_1.isMatch(firstImage, secondImage, { tolerancePercent: 0 });
    t.is(result.didMatch, false);
}));
ava_1.default('same images return match', (t) => __awaiter(this, void 0, void 0, function* () {
    const firstImage = fs.readFileSync(path.join(__dirname, 'image_a.jpg'));
    const secondImage = fs.readFileSync(path.join(__dirname, 'image_a.jpg'));
    const result = yield module_1.isMatch(firstImage, secondImage, { tolerancePercent: 0 });
    t.is(result.didMatch, true);
}));
ava_1.default('different images return match if under threshold', (t) => __awaiter(this, void 0, void 0, function* () {
    const firstImage = fs.readFileSync(path.join(__dirname, 'image_c.png'));
    const secondImage = fs.readFileSync(path.join(__dirname, 'image_d.png'));
    const result = yield module_1.isMatch(firstImage, secondImage, { tolerancePercent: 10 });
    t.is(result.didMatch, true);
}));
ava_1.default('different images return mismatch if over threshold', (t) => __awaiter(this, void 0, void 0, function* () {
    const firstImage = fs.readFileSync(path.join(__dirname, 'image_c.png'));
    const secondImage = fs.readFileSync(path.join(__dirname, 'image_d.png'));
    const result = yield module_1.isMatch(firstImage, secondImage, { tolerancePercent: 9 });
    t.is(result.didMatch, false);
}));
ava_1.default('different images return buffer of image diff', (t) => __awaiter(this, void 0, void 0, function* () {
    const firstImage = fs.readFileSync(path.join(__dirname, 'image_a.jpg'));
    const secondImage = fs.readFileSync(path.join(__dirname, 'image_b.jpg'));
    const diffImage = fs.readFileSync(path.join(__dirname, 'image_diff.png'));
    const result = yield module_1.isMatch(firstImage, secondImage, {
        diffOutputFormat: 'png',
        tolerancePercent: 0
    });
    const pngBuffer = result.imageDiffData;
    t.true(pngBuffer.equals(diffImage));
}));
//# sourceMappingURL=index.js.map